com.h3c.util.persistence.cassandra.entitymgr.column

## Class CustomColumn.CustomIndexValueExpressionStrategy<K extends Serializable,C extends Serializable & Comparable<C>,D>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.CustomColumn.CustomIndexValueExpressionStrategy<K,C,D>

- Type Parameters:
    `K` - type of the row key
    `C` - type of the column name or column key
    `D` - type of the column value
  All Implemented Interfaces:
    IndexValueExpressionStrategy<K,C,D>
  Enclosing class:
    CustomColumn<C extends Serializable & Comparable<C>,D>

      public static final class CustomColumn.CustomIndexValueExpressionStrategy<K extends Serializable,C extends Serializable & Comparable<C>,D>
      extends Object
      implements IndexValueExpressionStrategy<K,C,D>

  Custom index value expression strategy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomColumn.CustomIndexValueExpressionStrategy(com.netflix.astyanax.Serializer<D> serializer)` Creates a custom index value expression strategy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.netflix.astyanax.query.IndexQuery<K,C>` | `getIndexQuery(com.netflix.astyanax.query.IndexValueExpression<K,C> indexValueExpression, D value)` Method getIndexQuery.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomColumn.CustomIndexValueExpressionStrategy

          public CustomColumn.CustomIndexValueExpressionStrategy(com.netflix.astyanax.Serializer<D> serializer)

      Creates a custom index value expression strategy.
      Parameters:
        `serializer` - serializer

  - ### Method Detail

    - #### getIndexQuery

          public com.netflix.astyanax.query.IndexQuery<K,C> getIndexQuery(com.netflix.astyanax.query.IndexValueExpression<K,C> indexValueExpression,
                                                                 D value)

      Method getIndexQuery.
      Specified by:
        `getIndexQuery` in interface `IndexValueExpressionStrategy<K extends Serializable,C extends Serializable & Comparable<C>,D>`
      Parameters:
        `indexValueExpression` - IndexValueExpression
        `value` - D
      Returns:
        IndexQuery
      See Also:
        `(IndexValueExpression, D)`

Copyright © 2014. All Rights Reserved.